PHP Manual
Prev |  | Next

# HaruDoc::setPermission

(no version information, might be only in CVS)

HaruDoc::setPermission -- Set permissions for the document

## Description

bool HaruDoc::setPermission ( int permission )

Defines permissions for the document.

## Parameters

`permission`

  The values is a combination of these flags:

  `HaruDoc::ENABLE_READ` - user can read the document.
  `HaruDoc::ENABLE_PRINT` - user can print the document.
  `HaruDoc::ENABLE_EDIT_ALL` - user can edit the contents of the document other than annotations and form fields.
  `HaruDoc::ENABLE_COPY` - user can copy the text and the graphics of the document.
  `HaruDoc::ENABLE_EDIT` - user can add or modify the annotations and form fields of the document.

## Return Values

Returns `TRUE` on success.

## Errors/Exceptions

Throws HaruException on error.

## See Also

HaruDoc::setPassword()
HaruDoc::setEncryptionMode()

Prev | Home | Next
HaruDoc::setPassword | Up | HaruDoc::useCNSEncodings